Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class ComparisonBrowserBean

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.ComparisonBrowserBean

    public class ComparisonBrowserBean

extends java.lang.Object

Field Summary
`private java.lang.String` | `classifierVer`
`private java.lang.String` | `confidence`
`private float` | `confidenceValue`
`private ComparisonBrowserNode` | `currentRoot`
`private static float` | `DEFAULT_CONF`
`private static int` | `DEFAULT_DEPTH`
`private java.lang.String` | `depth`
`private int` | `depthValue`
`private static int` | `DISPLAY_LIMIT`
`private java.util.List` | `errorList`
`private java.lang.String` | `hierarchyVer`
`private static float` | `MAX_CONF`
`private static int` | `MAX_DEPTH`
`private static int` | `MAX_SEQUENCE`
`private static float` | `MIN_CONF`
`private static int` | `MIN_DEPTH`
`private ComparisonBrowserNode` | `root`
`private java.lang.String` | `s1Filename`
`private java.lang.String` | `s2Filename`
`private java.util.Date` | `submitDate`

Constructor Summary
`ComparisonBrowserBean(java.lang.String hver, java.lang.String cver)`

Method Summary
`java.util.Iterator` | `getChildTaxonList()`
`java.lang.String` | `getClassifierVersion()`
`java.lang.String` | `getConfidence()`
`ComparisonBrowserNode` | `getCurrentBrowserRoot()`
`static float` | `getDefaultConfidence()`
`java.lang.String` | `getDepth()`
`java.util.Iterator` | `getDetailList()`
`int` | `getDetailListSize()`
`float` | `getFloatConfidence()`
`java.util.Iterator` | `getHierarchyTaxonList()`
`java.lang.String` | `getHierarchyVersion()`
`java.util.Iterator` | `getLineageList()`
`java.lang.String` | `getS1Filename()`
`int` | `getS1Total()`
`java.lang.String` | `getS2Filename()`
`int` | `getS2Total()`
`static int` | `getSeqCountLimit()`
`int` | `getSeqErrorCount()`
`java.util.Iterator` | `getSeqErrorList()`
`java.util.Date` | `getSubmitDate()`
`java.util.Iterator` | `getTabularTaxonList()`
`void` | `setConfidence(java.lang.String confidenceStr)`
`void` | `setCurrentRoot(java.lang.String tax)`
`void` | `setDepth(java.lang.String depthStr)`
`void` | `setRoot(ComparisonBrowserNode root)`
`(package private) void` | `setS1Filename(java.lang.String s)`
`(package private) void` | `setS2Filename(java.lang.String s)`
`void` | `setSeqErrorList(java.util.List errorList)`
`void` | `setSubmitDate(java.util.Date date)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DEPTH

    private static final int DEFAULT_DEPTH

See Also:
  Constant Field Values

### DISPLAY_LIMIT

    private static final int DISPLAY_LIMIT

See Also:
  Constant Field Values

### MIN_DEPTH

    private static final int MIN_DEPTH

See Also:
  Constant Field Values

### MAX_DEPTH

    private static final int MAX_DEPTH

See Also:
  Constant Field Values

### MIN_CONF

    private static final float MIN_CONF

See Also:
  Constant Field Values

### MAX_CONF

    private static final float MAX_CONF

See Also:
  Constant Field Values

### MAX_SEQUENCE

    private static final int MAX_SEQUENCE

See Also:
  Constant Field Values

### DEFAULT_CONF

    private static final float DEFAULT_CONF

See Also:
  Constant Field Values

### depthValue

    private int depthValue

### depth

    private java.lang.String depth

### confidenceValue

    private float confidenceValue

### confidence

    private java.lang.String confidence

### errorList

    private java.util.List errorList

### currentRoot

    private ComparisonBrowserNode currentRoot

### root

    private ComparisonBrowserNode root

### hierarchyVer

    private java.lang.String hierarchyVer

### classifierVer

    private java.lang.String classifierVer

### submitDate

    private java.util.Date submitDate

### s1Filename

    private java.lang.String s1Filename

### s2Filename

    private java.lang.String s2Filename

Constructor Detail

### ComparisonBrowserBean

    public ComparisonBrowserBean(java.lang.String hver,
                                 java.lang.String cver)

Method Detail

### getSeqCountLimit

    public static int getSeqCountLimit()

### getDefaultConfidence

    public static float getDefaultConfidence()

### getSubmitDate

    public java.util.Date getSubmitDate()

### setSubmitDate

    public void setSubmitDate(java.util.Date date)

### getHierarchyVersion

    public java.lang.String getHierarchyVersion()

### getClassifierVersion

    public java.lang.String getClassifierVersion()

### getDepth

    public java.lang.String getDepth()

### setDepth

    public void setDepth(java.lang.String depthStr)

### getFloatConfidence

    public float getFloatConfidence()

### getS1Total

    public int getS1Total()

### getS2Total

    public int getS2Total()

### setS1Filename

    void setS1Filename(java.lang.String s)

### setS2Filename

    void setS2Filename(java.lang.String s)

### getS1Filename

    public java.lang.String getS1Filename()

### getS2Filename

    public java.lang.String getS2Filename()

### getConfidence

    public java.lang.String getConfidence()

### setConfidence

    public void setConfidence(java.lang.String confidenceStr)

### getSeqErrorCount

    public int getSeqErrorCount()

### getCurrentBrowserRoot

    public ComparisonBrowserNode getCurrentBrowserRoot()

### setCurrentRoot

    public void setCurrentRoot(java.lang.String tax)

### setRoot

    public void setRoot(ComparisonBrowserNode root)

### getLineageList

    public java.util.Iterator getLineageList()

### getTabularTaxonList

    public java.util.Iterator getTabularTaxonList()

### getChildTaxonList

    public java.util.Iterator getChildTaxonList()

### getHierarchyTaxonList

    public java.util.Iterator getHierarchyTaxonList()

### getDetailList

    public java.util.Iterator getDetailList()

### getDetailListSize

    public int getDetailListSize()

### setSeqErrorList

    public void setSeqErrorList(java.util.List errorList)

### getSeqErrorList

    public java.util.Iterator getSeqErrorList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD